ツイート
リポストしたアカウントを取得
GET /v1/tweets/{tweet_id}/retweeters reads 2 クレジット
投稿をリポストしたアカウント。完全なプロフィールとして。
クエリパラメータ
| クエリパラメータ | 型 | 意味 |
|---|---|---|
count | int 1–100 = 20 | 要求するページサイズ。X はヒントとして扱います |
cursor | string | 前のページの next_cursor から |
レスポンス
投稿 ID、このページのリポストしたアカウント、次ページ用のカーソル (終端では null)。存在しない投稿はカーソルなしの空リストになります。
ステータス: 200, 422, 429, 502
リクエスト
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642/retweeters?count=20 \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 422
{
"tweet_id": "2099875660290228642",
"users": [
{
"id": "2029400279339446272",
"screen_name": "…",
"name": "…",
"bio": "…",
"avatar": "https://pbs.twimg.com/profile_images/…/7pUS7kMJ_normal.jpg",
"banner": "https://pbs.twimg.com/profile_banners/…/1772682121",
"followers": 6035,
"following": 3469,
"tweets": 34341,
"location": "",
"url": "",
"verified": true,
"verified_type": "blue",
"protected": false,
"created_at": "2026-03-05T03:37:18Z",
"category": null
},
{
"…": "…"
}
],
"next_cursor": "HBaAgICn44npijQAAA=="
}